import _extends from 'babel-runtime/helpers/extends';
// TODO: remove this lint
// SFC has specified a displayName, but not worked.
/* eslint-disable react/display-name */
import * as React from 'react';
import LocaleProvider, { ANT_MARK } from '../locale-provider';
import LocaleReceiver from '../locale-provider/LocaleReceiver';
import { ConfigConsumer, ConfigContext } from './context';
export { ConfigContext, ConfigConsumer };
export var configConsumerProps = ['exported', 'pagenation', 'locale'];
// @ts-ignore
var ConfigProvider = function ConfigProvider(props) {
    var renderProvider = function renderProvider(context, legacyLocale) {
        var children = props.children,
            exported = props.exported,
            pagenation = props.pagenation,
            locale = props.locale;

        var config = _extends({ locale: locale || legacyLocale }, context);
        if (exported) {
            config.exported = exported;
        }
        if (pagenation) {
            config.pagenation = pagenation;
        }
        return React.createElement(
            ConfigContext.Provider,
            { value: config },
            React.createElement(
                LocaleProvider,
                { locale: locale || legacyLocale, _ANT_MARK__: ANT_MARK },
                children
            )
        );
    };
    var renderLovalProvider = function renderLovalProvider() {
        return function (_, __, legacyLocale) {
            return React.createElement(
                ConfigConsumer,
                null,
                function (context) {
                    return renderProvider(context, legacyLocale);
                }
            );
        };
    };
    return (
        // @ts-ignore
        React.createElement(
            LocaleReceiver,
            null,
            renderLovalProvider()
        )
    );
};
export default ConfigProvider;