/**
 * @date 2019-01-21
 * @author WY yang.wang06@hang-china.com
 * @copyright HAND 2019
 */
import * as React from 'react';
import { ColumnProps, ColumnFilterMenuProps, ColumnFilterMenuState, CustomColumn } from './interface';
import '../menu/style';
import '../dropdown';
import '../icon/style';
import '../button/style';
import '../message/style';
export declare function getColumnKey<T>(column: ColumnProps<T>, index?: number): string | number | undefined;
export default class ColumnFilterMenu<T> extends React.Component<ColumnFilterMenuProps<T>, ColumnFilterMenuState> {
    static getDerivedStateFromProps(nextProps: ColumnFilterMenuProps<any>, prevState: ColumnFilterMenuState): {
        customColumns: CustomColumn[];
        prevCustomColumns: CustomColumn[];
    } | null;
    items: {
        [key: string]: any;
    };
    constructor(props: ColumnFilterMenuProps<T>);
    render(): JSX.Element;
    handleEditChange: (editing: boolean) => void;
    renderFilterIcon: () => JSX.Element;
    handleConfirmBtnClick: () => void;
    renderEditItem(column: ColumnProps<T>, index: number): JSX.Element;
    renderEditTitle(): JSX.Element;
    renderEditContent(): JSX.Element[];
    handleItemRef: (key: string, element: any) => void;
}
