import * as React from 'react';
import RcTreeSelect, { TreeNode } from '../rc-components/tree-select';
import { TreeSelectProps } from './interface';
import { SelectLocale } from '../select';
export { TreeData, TreeSelectProps } from './interface';
export default class TreeSelect extends React.Component<TreeSelectProps, any> {
    static TreeNode: typeof TreeNode;
    static SHOW_ALL: string;
    static SHOW_PARENT: string;
    static SHOW_CHILD: string;
    static defaultProps: {
        prefixCls: string;
        transitionName: string;
        choiceTransitionName: string;
        showSearch: boolean;
    };
    private rcTreeSelect;
    constructor(props: TreeSelectProps);
    focus(): void;
    blur(): void;
    saveTreeSelect: (node: RcTreeSelect | null) => void;
    renderTreeSelect: (locale: SelectLocale) => JSX.Element;
    render(): JSX.Element;
}
