/**
 * @date 2019-01-21
 * @author
 */
import * as React from 'react';
import { ColumnFilterMenuItemProps, ColumnFilterMenuItemState, CustomColumn } from './interface';
import { CheckboxChangeEvent } from '../checkbox';
import '../input-number/style';
import '../checkbox/style';
declare class ColumnFilterMenuItem<T> extends React.Component<ColumnFilterMenuItemProps<T>, ColumnFilterMenuItemState> {
    static getDerivedStateFromProps(nextProps: ColumnFilterMenuItemProps<any>, prevState: ColumnFilterMenuItemState): {
        customColumn: CustomColumn;
        prevCustomColumn: CustomColumn;
    } | null;
    constructor(props: ColumnFilterMenuItemProps<T>);
    render(): JSX.Element;
    handleFixedLeftChange: (e: CheckboxChangeEvent) => void;
    handleHiddenChange: (e: CheckboxChangeEvent) => void;
    handleOrderSeqChange: (value: number) => void;
    getValidateCustomColumn: () => Promise<CustomColumn>;
}
export default ColumnFilterMenuItem;
