import * as React from 'react';
import { Locale } from '../locale-provider';
import { ConfigConsumer, ConfigContext, ConfigConsumerProps } from './context';
import { PaginationProps } from '../pagination';
import { ExportProps } from '../table/interface';
export { ConfigContext, ConfigConsumer, ConfigConsumerProps };
export interface ConfigProviderProps {
    exported: ExportProps;
    pagenation: PaginationProps;
    locale?: Locale;
    children?: React.ReactNode;
}
export declare const configConsumerProps: string[];
declare const ConfigProvider: React.FC<ConfigProviderProps>;
export default ConfigProvider;
